Subject: SMTP header Disposition-Notification-To

From: "Gard, Torbjorn" <[email-masked]>
Date: Tue, 16 Nov 2004 10:52:18 +0100

Hello,
 
I have modified c-client to set "Return-Receipt-To" when needed.
 
Now we have we would like to use "Disposition-Notification-To" as well.
 
But on the other hand I would rather use an unmodified c-client library
- any thoughts on these header values in future imap versions?
 
regards
Torbjörn Gard

---

From: Mark Crispin <[email-masked]>
Date: Tue, 16 Nov 2004 08:51:33 -0800 (PST)

> I have modified c-client to set "Return-Receipt-To" when needed.

For what it's worth, that is a completely deprecated feature of sendmail 
and should not be used by modern software.

> - any thoughts on these header values in future imap versions?

Presumably your modifications are to rfc822_header().  You almost never 
want to use that function in a sophisticated program due to the lack of 
buffer overflow checking.  Instead, you want to define an rfc822out_t 
function that you arm via mail_parameters() with SET_RFC822OUTPUT, and 
that function does the following:
   if (ok8bit) rfc822_encode_body_8bit (env,body);
   else rfc822_encode_body_7bit (env,body);
   /* write code to do the work ofrfc822_header() here, leaving
      pointer to header in t */
   return (*f) (s,t) && (body ? rfc822_output_body (body,f,s) : T);

By doing this, you have no need to modify c-client.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.